Name:           rxvt-unicode
Version:        9.31
Release:    2%{?dist}
Summary:        Unicode version of rxvt

License:        GPLv3
URL:            http://software.schmorp.de/
Source0:        http://dist.schmorp.de/%{name}/%{name}-%{version}.tar.bz2
Source1:        http://dist.schmorp.de/%{name}/%{name}-%{version}.tar.bz2.sig
Source2:        http://dist.schmorp.de/signing-key.pub
Source3:        http://dist.schmorp.de/signing-key.pub.gpg.sig
Source4:        gpgkey-84874CAB6D1A397A.gpg
Source5:        rxvt-unicode.desktop

Patch0:         rxvt-unicode-9.21-Fix-hard-coded-wrong-path-to-xsubpp.patch
Patch1:         rxvt-unicode-0001-Prefer-XDG_RUNTIME_DIR-over-the-HOME.patch

BuildRequires:  desktop-file-utils
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  git
BuildRequires:  glib2-devel
BuildRequires:  gnupg2
BuildRequires:  libptytty-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXft-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXt-devel
BuildRequires:  libev-source
BuildRequires:  make
BuildRequires:  ncurses ncurses-base ncurses-devel
BuildRequires:  perl-devel, perl-generators, perl(ExtUtils::Embed)
BuildRequires:  signify
BuildRequires:  startup-notification-devel
BuildRequires:  xorg-x11-proto-devel
Requires:       startup-notification



%description
rxvt-unicode is a clone of the well known terminal emulator rxvt, modified to
store text in Unicode (either UCS-2 or UCS-4) and to use locale-correct input
and output. It also supports mixing multiple fonts at the same time, including
Xft fonts.

%prep
%{gpgverify} --keyring='%{SOURCE4}' --signature='%{SOURCE3}' --data='%{SOURCE2}'
signify -V -p '%{SOURCE2}' -m '%{SOURCE0}'
%autosetup -S git

rm -rf libev
ln -s %{_datadir}/libev-source libev

%build
%configure \
 --enable-keepscrolling \
 --enable-selectionscrolling \
 --enable-pointer-blank \
 --enable-utmp \
 --enable-wtmp \
 --enable-lastlog \
 --enable-unicode3 \
 --enable-combining \
 --enable-xft \
 --enable-font-styles \
 --enable-pixbuf \
 --enable-transparency \
 --enable-fading \
 --enable-rxvt-scroll \
 --enable-next-scroll \
 --enable-xterm-scroll \
 --enable-perl \
 --enable-mousewheel \
 --enable-xim \
 --with-codesets=all \
 --enable-slipwheeling \
 --enable-smart-resize \
 --enable-frills \
 --disable-iso14755 \
 --enable-startup-notification \
 --enable-256-color \
 --with-term=rxvt-unicode-256color

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

rm %{buildroot}%{_bindir}/urclock
rm %{buildroot}%{_mandir}/man1/urclock.1*

desktop-file-install \
%if (0%{?tencentos})
  --vendor=tencentos \
%else
  --vendor=opencloudos \
%endif
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE5}

pushd %{buildroot}/%{_bindir}
ln -s urxvt rxvt
ln -s urxvt urxvt-ml
ln -s urxvtc urxvt-mlc
ln -s urxvtd urxvt-mld
ln -s urxvt urxvt256c
ln -s urxvtc urxvt256cc
ln -s urxvtd urxvt256cd
ln -s urxvt urxvt256c-ml
ln -s urxvtc urxvt256c-mlc
ln -s urxvtd urxvt256c-mld
popd

%files
%doc README.FAQ
%doc INSTALL
%doc doc/README.xvt
%doc doc/etc
%doc doc/changes.txt
%license COPYING
%{_bindir}/rxvt
%{_bindir}/urxvt
%{_bindir}/urxvtc
%{_bindir}/urxvtd
%{_bindir}/urxvt-ml
%{_bindir}/urxvt-mlc
%{_bindir}/urxvt-mld
%{_bindir}/urxvt256c
%{_bindir}/urxvt256cc
%{_bindir}/urxvt256cd
%{_bindir}/urxvt256c-ml
%{_bindir}/urxvt256c-mlc
%{_bindir}/urxvt256c-mld
%{_mandir}/man1/urxvt.1*
%{_mandir}/man1/urxvtc.1*
%{_mandir}/man1/urxvtd.1*
%{_mandir}/man1/urxvt-background.1*
%{_mandir}/man1/urxvt-bell-command.1*
%{_mandir}/man1/urxvt-block-graphics-to-ascii.1*
%{_mandir}/man1/urxvt-clipboard-osc.1*
%{_mandir}/man1/urxvt-clickthrough.1*
%{_mandir}/man1/urxvt-confirm-paste.1*
%{_mandir}/man1/urxvt-digital-clock.1*
%{_mandir}/man1/urxvt-eval.1*
%{_mandir}/man1/urxvt-example-refresh-hooks.1*
%{_mandir}/man1/urxvt-extensions.1*
%{_mandir}/man1/urxvt-keysym-list.1*
%{_mandir}/man1/urxvt-kuake.1*
%{_mandir}/man1/urxvt-matcher.1*
%{_mandir}/man1/urxvt-option-popup.1*
%{_mandir}/man1/urxvt-overlay-osc.1*
%{_mandir}/man1/urxvt-readline.1*
%{_mandir}/man1/urxvt-remote-clipboard.1*
%{_mandir}/man1/urxvt-searchable-scrollback.1*
%{_mandir}/man1/urxvt-selection-autotransform.1*
%{_mandir}/man1/urxvt-selection-pastebin.1*
%{_mandir}/man1/urxvt-selection-popup.1*
%{_mandir}/man1/urxvt-selection-to-clipboard.1*
%{_mandir}/man1/urxvt-selection.1*
%{_mandir}/man1/urxvt-tabbed.1*
%{_mandir}/man1/urxvt-xim-onthespot.1*
%{_mandir}/man3/urxvtperl.3*
%{_mandir}/man7/urxvt.7*
%{_datadir}/applications/*rxvt-unicode.desktop
%{_libdir}/urxvt

%changelog
* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 9.31-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.31-1
- initial build
